// Author 		: F. de la Parra
// Date			: April, 2019
// Description 	: This class captures the total hourly passenger load
//				  for all types of means of transportation. 
// Version		: 1.0

public class HourlyLoad {
	double subwayLoad = 0;
	double gotrainLoad = 0;
	double streetcarLoad = 0;
	double busLoad = 0;
	double gobusLoad = 0;
	
	public double getSubwayLoad() {
		return this.subwayLoad;
	}

	public double getGotrainLoad() {
		return this.gotrainLoad;
	}
	
	public double getStreetcarLoad() {
		return this.streetcarLoad;
	}
	
	public double getBusLoad() {
		return this.busLoad;
	}

	public double getGobusLoad() {
		return this.gobusLoad;
	}
			
	public void incSubwayLoad(double singleLoad) {
		this.subwayLoad += singleLoad;
	}
	
	public void incGOtrainLoad(double singleLoad) {
		this.gotrainLoad += singleLoad;
	}
	
	public void incStreetcarLoad(double singleLoad) {
		this.streetcarLoad += singleLoad;
	}
	
	public void incBusLoad(double singleLoad) {
		this.busLoad += singleLoad;
	}
	
	public void incGObusLoad(double singleLoad) {
		this.gobusLoad += singleLoad;
	}	
}