// Author 		: F. de la Parra
// Date			: April, 2019
// Description 	: This class captures the attributes of streetcars. 
// Version		: 1.0

public class Streetcar extends Vehicle {
	String streetcarId;
	String streetcarType;
	
	Streetcar(String unitNumber, String streetcarId, String streetcarType) {
		this.unitNumber = unitNumber;
		this.streetcarId = streetcarId;
		this.streetcarType = streetcarType;
		if (streetcarType.equals("S"))
			this.capacity = 40;
		else if (streetcarType.equals("D"))
			this.capacity = 80;
	}
	
	public String getStreetcarId() {
		return this.streetcarId;
	}
}