// Author 		: F. de la Parra
// Date			: April, 2019
// Description 	: This class captures the attributes of subway trains. 
// Version		: 1.0

public class Subway extends Vehicle {
	String trainId;
	int numOfCars;
	int passengersPerCar;
	String operationalStatus;
	String operationalDate;
	
	Subway(String unitNumber, String trainId, int numOfCars,
		   int passengersPerCar, String operationalStatus, String operationalDate) {
		this.unitNumber = unitNumber;
		this.trainId = trainId;
		this.numOfCars = numOfCars;
		this.passengersPerCar = passengersPerCar;
		this.operationalStatus = operationalStatus;
		setCapacity(numOfCars * passengersPerCar);
	}
	
	public String getTrainId() {
		return this.trainId;
	}
	
	public int getNumOfCars() {
		return this.numOfCars;
	}

	public int getPassengersPerCar() {
		return this.passengersPerCar;
	}

	public String getOperationalStatus() {
		return this.operationalStatus;
	}	
	
	public String getOperationalDate() {
		return this.operationalDate;
	}
}