// Author 		: F. de la Parra
// Date			: April, 2019
// Description 	: This class captures the common attributes of different vehicles
//				  used in public transportation (subways, buses, streetcars, GOtrains,
//				  GObuses). It is the root class of the vehicle hierarchy.
// Version		: 1.0

public abstract class Vehicle {
	String unitNumber;
	int capacity;
	
	public String getUnitNumber() {
		return this.unitNumber;
	}
	
	public int getCapacity() {
		return capacity;
	}
	
	public void setCapacity(int capacity) {
		this.capacity = capacity;
	}
}